@import url('https://fonts.googleapis.com/css2?family=Noto+Sans:wght@400;700&display=swap');

@font-face {
	font-family: 'Sensation Regural';
	font-style: normal;
	font-weight: 400;
	src: url('/fonts/Sansation_Regular.ttf') format('truetype'),
		url('/fonts/Sansation_Bold.ttf') format('truetype');
}
@font-face {
	font-family: 'Sensation Regural';
	font-style: bold;
	font-weight: 800;
	src: url('/fonts/Sansation_Bold.ttf') format('truetype');
}

:root {
	/* variables globales */
	--color-primary: #235ecc;
	--color-primary-strong: #102f68;
	--color-secondary: #e9effa; /* #235ECC26 */
	--color-ok: rgba(59, 168, 88, 1);
	--color-error: rgba(234, 83, 70, 1);
	--color-disabled: #edeff2;

	--color-gris: #eaeaea;
	--color-gris-font: rgba(97, 97, 102, 1);

	--body-color: #edeff2;
	--font-color: #2d2d33;

	/* scrollbar vars */

	--scrollbar-width: 6px;
	--scrollbar-radius: 3px;

	--max-width: 1024px;
}

/* Fuente roboto a todo */
*,
::after,
::before {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}

* {
	scrollbar-color: var(--color-primary) var(--color-secondary);
}

*::-webkit-scrollbar {
	width: var(--scrollbar-width);
}
*::-webkit-scrollbar:horizontal {
	height: var(--scrollbar-width);
}

*::-webkit-scrollbar-track {
	background: var(--color-secondary);
	border-radius: var(--scrollbar-radius);
}
*::-webkit-scrollbar-thumb {
	background-color: var(--color-primary);
	border-radius: var(--scrollbar-radius);
}

body {
	font-size: 14px;
	font-family: 'Noto Sans', sans-serif;
	color: var(--font-color);
	background: black;
	position: relative;
	width: 100%;
	min-width: 768px;
}

#sv-container {
	position: relative;
	margin: 0 auto;
	max-width: var(--max-width);
	background: var(--body-color);
	min-height: 100vh;
	overflow-x: hidden;
}

/* form inputs */
@media screen and (-webkit-min-device-pixel-ratio: 0) {
	select:focus,
	textarea:focus,
	input:focus {
		font-size: var(--font-size);
	}
}

input:focus {
	outline: none;
}

/**
  * Estilos genericos
  */

.cursor-pointer {
	cursor: pointer;
}

.capitalizado {
	text-transform: capitalize;
}

.noselect {
	-webkit-touch-callout: none;
	/* iOS Safari */
	-webkit-user-select: none;
	/* Safari */
	-khtml-user-select: none;
	/* Konqueror HTML */
	-moz-user-select: none;
	/* Old versions of Firefox */
	-ms-user-select: none;
	/* Internet Explorer/Edge */
	user-select: none;
	/* Non-prefixed version, currently
                            supported by Chrome, Edge, Opera and Firefox */
}

.bold {
	font-weight: bold;
}

.flexcolumn {
	display: flex;
	flex-direction: column;
	gap: 1rem;
}
.flexrow {
	display: flex;
	flex-wrap: wrap;
	gap: 1rem;
}

.noscrollzmodal {
	overflow: hidden;
}
